<?xml version="1.0" encoding="utf-8"?>
<!--
 * Ajouter ici d'éventuels commentaires sur le fichier XML
-->
<refentry version="5.0-subset Scilab" xml:id="asech" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 09-12-2008 $</pubdate>
  </info>

  <refnamediv>
    <refname>asech</refname>

    <refpurpose>computes the element-wise inverse hyperbolic secant of the
    argument.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>y = asech(x)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>x</term>

        <listitem>
          <para>Real or complex array.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>y</term>

        <listitem>
          <para>Real or complex array.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Computes the element-wise inverse hyperbolic secant of the argument.
    If the argument is real and have absolute value less than one the result
    is real.</para>

    <para>The following equalities hold: <literal>asech(x) = acosh(1 ./ x)=
    %i*csgn(%i*(1−1 ./ x))*asec(x)=csgn(%i*(1 − 1 ./
    x))*(%pi/2*(%i+acsch(%i*x)))</literal></para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
asech(1)
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="sech">sech</link> <!--<link linkend="csgn" >csgn</link>--></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>References</title>

    <simplelist type="vert">
      <member>Kahan, W., "Branch cuts for complex elementary functions, or,
      Much ado about nothing's sign bit", Proceedings of the joing IMA/SIAM
      conference on The State of the Art in Numerical Analysis, University of
      Birmingham, A. Iserles and M.J.D. Powell, eds, Clarendon Press, Oxford,
      1987, 165-210.</member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>
</refentry>
